Cell
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced
Class Cell

    java.lang.Object
      org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
          org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.Cell

    public class Cell

extends DataModel

Constructor Summary
`Cell(java.util.List<Field> initFields)`
`Cell(java.lang.String code)`

Method Summary
`void` | `addField(Field toAddField)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.List<Field>` | `getAttributesList()`
`java.lang.String` | `getCode()`
`Field` | `getFieldbyName(java.lang.String fieldName)`
`int` | `hashCode()`
`static java.util.Set<Cell>` | `loadRS(java.sql.ResultSet rs)`
`void` | `setAttributesList(java.util.List<Field> attributesList)`
`void` | `setCode(java.lang.String code)`

Methods inherited from class org.gcube.application.aquamaps.aquamapsservice.stubs.datamodel.enhanced.DataModel
`fromXML, toXML`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Cell

    public Cell(java.lang.String code)

### Cell

    public Cell(java.util.List<Field> initFields)

Method Detail

### setCode

    public void setCode(java.lang.String code)

### getCode

    public java.lang.String getCode()

### getAttributesList

    public java.util.List<Field> getAttributesList()

### setAttributesList

    public void setAttributesList(java.util.List<Field> attributesList)

### getFieldbyName

    public Field getFieldbyName(java.lang.String fieldName)

### addField

    public void addField(Field toAddField)

### loadRS

    public static java.util.Set<Cell> loadRS(java.sql.ResultSet rs)
                                      throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD